%define section	free

Name:		fractal
Version:	2.0
Release:	1jpp
Epoch:		0
Summary:	A general software composition framework 
License:	BSD
URL:		http://fractal.objectweb.org/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://download.us.forge.objectweb.org/fractal/Fractal_2.0_src.zip
# FIXME: For now I am including a binary jar until I can find out what version
# of jonathan this is. To make matters worse, the jonathan project is defunct.
Source1:	jonathan.jar
Requires:	antlr
Requires:	asm
BuildRequires:	ant
BuildRequires:	antlr
BuildRequires:	asm
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	monolog
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Fractal is a general software composition framework that supports
component-based programming, including components (type) definition,
configuration, composition and administration.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n Fractal/dev
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath antlr asm/asm monolog/ow_util_ant_tasks monolog/ow_util_log_api)
pushd externals
for jar in $(echo $CLASSPATH | sed 's/:/ /g'); do
ln -sf ${jar} .
done
install -m 644 %{SOURCE1} .
popd
ant jar jdoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

for jar in output/dist/lib/*.jar; do
install -m 644 ${jar} $RPM_BUILD_ROOT%{_javadir}/%{name}/`basename ${jar} .jar`-%{version}.jar
done

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/Fractal

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc README
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:2.0-1jpp
- release
